#include <bits/stdc++.h>

using namespace std;

int main()
{
    cin.tie(NULL);
    ios_base::sync_with_stdio(false);
    string c;
    int a, b;
    cin >> c >> a >> b;
    if(abs(a - b) > 1)
    {
        cout << "nemoguce";
    }
    else if(a > b)
    {
        for(int i = 0; i < a + b; i++)
        {
            if(i % 2 == 0)
            {
                cout << c[0];
            }
            else
            {
                cout << c[1];
            }
        }
    }
    else
    {
        for(int i = 0; i < a + b; i++)
        {
            if(i % 2 == 0)
            {
                cout << c[1];
            }
            else
            {
                cout << c[0];
            }
        }
    }
    return 0;
}